@echo off

if "%1" == "" goto wrong
if "%2" == "" goto wrong

:disk1
echo.
echo Please Insert Disk-1 into %1
echo Press any key to continue..
echo.
pause > nul
if not exist %1\ZAN3.ARJ goto disk1
%2\zan3\ARJ X -y %1\zan3.arj %2\ZAN3
goto disk2

:disk2
echo.
echo Please insert disk-2 into %1
echo Press any key to continue..
echo.
pause > nul
if not exist %1\zan3.A01 goto disk2
%2\zan3\arj x -y %1\zan3.a01 %2\zan3
goto disk3

:disk3
echo.
echo Please insert disk-3 into %1
echo Press any key to continue..
echo.
pause > nul
if not exist %1\zan3.A02 goto disk3
%2\zan3\arj x -y %1\zan3.a02 %2\zan3
goto disk4

:disk4
echo.
echo Please insert disk-4 into %1
echo Press any key to continue..
echo.
pause > nul
if not exist %1\zan3.A03 goto disk4
%2\zan3\arj x -y %1\zan3.a03 %2\zan3
goto disk5

:disk5
echo.
echo Please insert disk-5 into %1
echo Press any key to continue..
echo.
pause > nul
if not exist %1\zan3.A04 goto disk5
%2\zan3\arj x -y %1\zan3.a04 %2\zan3
goto disk6

:disk6
echo.
echo Please insert disk-6 into %1
echo Press any key to continue..
echo.
pause > nul
if not exist %1\zan3.A05 goto disk6
%2\zan3\arj x -y %1\zan3.a05 %2\zan3
goto end1

:wrong
echo.
echo.
echo PLEASE USE INSTALL.BAT TO INSTALL THE GAME
echo.
echo.
goto end2

:end1
cls
echo Installation Completed! Type ZAN3 to play the game!
echo.
goto ended

:end2
echo Install Terminated.
echo.
goto ended

:ended

                        
